Byte compile Ruby 1.9.1 files and "require" support for loading compiled files.
Ruby C
Latest commit c9f2fb8 Dec 31, 2009 @maccman Add ext to gem
Permalink
Failed to load latest commit information.
ext Gemify Dec 31, 2009
lib Gemify Dec 31, 2009
.gitignore Add ext to gem Dec 31, 2009
README Gemify Dec 31, 2009
Rakefile Gemify Dec 31, 2009
VERSION Gemify Dec 31, 2009
rbyte.gemspec Add ext to gem Dec 31, 2009

README

Ruby byte code library.

There are a few major bugs with byte encoding in Ruby 1.9.1 so,
to use this library, you need to use Ruby's trunk.

Installation:
  sudo gem install rbyte

Usage:
  Rbyte.compile_file(path)
  Rbyte.decompile_file(path)
  
  # To make RBC files automatically be required
  Kernel.send(:include, Rbyte::RequirePatch)
  require "my_rbc_file"